Bug 805552 - Spice console try to connect to port 65535 - not able to connect (so not able to test Ovirt vm)
Spice console try to connect to port 65535 - not able to connect (so not able...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-userportal (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Einav Cohen
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 11:06 EDT by Morgan Cox
Modified: 2012-12-30 07:24 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-30 07:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of failed attempt to use spice. (4.14 KB, text/x-log)
2012-03-21 11:06 EDT, Morgan Cox
no flags Details

  None (edit)
Description Morgan Cox 2012-03-21 11:06:08 EDT
Created attachment 571738 [details]
log of failed attempt to use spice.

Description of problem: Spice not working so can't actually install a vm using Ovirt management engine.


Version-Release number of selected component (if applicable):

I have 3 servers 

1. Ovirt node - 2.2.3-1.1.fc16.iso
2. Ovirt engine (frontend) - Pc16 (see below)
ovirt-engine-jbossas-1.2-2.fc16.x86_64
ovirt-engine-log-collector-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-webadmin-portal-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-dbscripts-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-iso-uploader-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-setup-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-config-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-tools-common-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-restapi-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-backend-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-genericapi-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-jboss-deps-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-userportal-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-notification-service-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-3.0.0_0001-1.6.fc16.x86_64
3. NFS server 

How reproducible:

Always 


Steps to Reproduce:
1. setup ovirt  - frontend/engine + ovirt node + storage
2. try to install vm
3. vm starts - try to use spice - browser window opens for a sec then stops

The logs show it trying to connect to port 65535 - it doesn't work...

I have left settings on engine and node as default.
  
Actual results:

Spice not working.

Expected results:

Spice works and I can use Ovirt...

Additional info:


I started firefox with

SPICEC_LOG_LEVEL=0 firefox

I have attached  .spicec/spicec.log (see attachment)

The contents of spice-xpi.log is

------------------------------
2012-03-21 14:53:24,502 ERROR nsPluginInstance::CallOnDisconnected: OnDisconnected is not object
2012-03-21 14:54:27,787 ERROR nsPluginInstance::CallOnDisconnected: OnDisconnected is not object
------------------------------

On my desktop I have


[morgan@fc ~]$ rpm -qa | grep spice
spice-client-0.10.1-1.fc16.i686
spice-gtk3-0.10-1.fc16.i686
spice-glib-0.10-1.fc16.i686
spice-xpi-2.7-2.fc16.i686
Comment 1 Andrew Cathrow 2012-03-21 11:35:07 EDT
It seems odd that spice is trying port 65535, can you check the ovirt-engine and vdsm logs and see what port spice is really listening on?

Fastest way is probably to run the following on the hypervisor when then VM is running.

vdsClient -s 0 list  | grep displayPort
Comment 2 Morgan Cox 2012-03-21 13:02:35 EDT
I rebooted the ovirt node and NFS storage server - after I manually restarted libvirtd on the node  It now connects to the right port........
Comment 3 Douglas Schilling Landgraf 2012-03-29 15:10:12 EDT
I have reproduced this report, here my notes:

Here the logs from spice-xpi.log:
========================================

1333058210 INFO [30696:30696] Application::main: starting 0.10.1
1333058210 INFO [30696:30696] Application::main: command line: spicec --controller
1333058210 DEBUG [30696:30696] Application::Application:
1333058210 DEBUG [30696:30696] HotKeysParser::HotKeysParser: hotkeys = toggle-fullscreen=shift+f11,release-cursor=shift+f12,show-gui=shift+f7,smartcard-insert=shift+f8,smartcard-remove=shift+f9
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = shift
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = f11
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = shift
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = f12
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = shift
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = f7
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = shift
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = f8
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = shift
1333058210 DEBUG [30696:30696] HotKeysParser::add_key: keys = f9
1333058210 DEBUG [30696:30696] Platform::init:
1333058210 INFO [30696:30696] init_key_map: using evdev mapping
1333058211 INFO [30696:30696] MultyMonScreen::MultyMonScreen: platform_win: 35651585
1333058211 INFO [30696:30696] GUI::GUI:
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: TaharezLook.scheme
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 7165
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: TaharezLook.imageset
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 19781
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: TaharezLook.tga
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 262188
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: Commonwealth-10.font
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 163
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: Commonv2c.ttf
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 44228
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: TaharezLook.looknfeel
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 241853
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: DejaVuSans-10.font
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 162
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: DejaVuSans.ttf
1333058211 DEBUG [30696:30696] CEGUIResourceProvider::loadRawDataContainer: size 407768
1333058211 INFO [30696:30696] ForeignMenu::ForeignMenu: Creating a foreign menu connection /tmp/SpiceForeignMenu-30696.uds
1333058211 DEBUG [30696:30696] LinuxListener::LinuxListener: listening socket - /tmp/SpiceForeignMenu-30696.uds, added to events_loop
1333058211 INFO [30696:30696] Controller::Controller: Creating a controller connection /tmp/spicec-x16F0S/spice-xpi
1333058211 DEBUG [30696:30696] LinuxListener::LinuxListener: listening socket - /tmp/spicec-x16F0S/spice-xpi, added to events_loop
1333058211 DEBUG [30696:30696] LinuxListener::on_event: New connection created, fd: 23
1333058213 DEBUG [30696:30696] Application::set_host_cert_subject: subject entry: O=redhat
1333058213 DEBUG [30696:30696] Application::set_host_cert_subject: subject entry: CN=192.168.1.33
1333058213 DEBUG [30696:30696] HotKeysParser::HotKeysParser: hotkeys = release-cursor=shift+f12,toggle-fullscreen=shift+f11
1333058213 DEBUG [30696:30696] HotKeysParser::add_key: keys = shift
1333058213 DEBUG [30696:30696] HotKeysParser::add_key: keys = f12
1333058213 DEBUG [30696:30696] HotKeysParser::add_key: keys = shift
1333058213 DEBUG [30696:30696] HotKeysParser::add_key: keys = f11
1333058213 DEBUG [30696:30698] RedPeer::connect_to_peer: Trying 192.168.1.33 65535
1333058213 INFO [30696:30698] RedPeer::connect_to_peer: Connect failed: Connection refused (111)
1333058213 WARN [30696:30698] RedChannel::run: failed to connect: Connection refused (111)
1333058213 INFO [30696:30696] main: Spice client terminated (exitcode = 3)
1333058213 DEBUG [30696:30696] cleanup:

Output from the NODE:
===============================
# vdsClient -s 0 list | grep displayPort
displayPort = 5900

Also, I looked vdsm logs and it shows the correct port 5900.. Anyway, as test,  I have restarted libvirtd, tried to open spice and it started to work correctly. It will require futher investigation...
Comment 4 Itamar Heim 2012-12-30 07:24:37 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.